import com.steerinfo.dil.util.Log4jUtils;
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;
import org.junit.Test;
import sun.reflect.CallerSensitive;

import javax.xml.rpc.ParameterMode;
import java.util.ArrayList;
import java.util.List;

/**
 * @ author    :TXF
 * @ time      :2022/2/10 16:36
 */

public class test23 {
    public static void main(String[] args) {
        ArrayList<String> list = new ArrayList<>();
        for (int i = 1; i < 10; i++) {
            list.add(i + "");
        }
        String testXml = asXmlDate(list);
        String url = "http://172.16.62.243:56898/ormrpc/services/WSJJBoomFacade";
        String s = invokRemoveWSDLByAxis(testXml, url);
        System.out.println(s);
    }

    public static String asXmlDate(List<String> dataList){
        // 创建一个Document实例
        Document doc = DocumentHelper.createDocument();
        // 添加根节点
        Element table = doc.addElement("table");
        //添加第子节点
        table.addElement("rowCount").addText("1");
        table.addElement("headCount").addText("9");
        Element head = table.addElement("head");
        //添加body下的r1下的子节点
        Element r1 = table.addElement("body").addElement("r1");
        //添加head的子节点
        for (int i = 0; i < dataList.size(); i++) {
            head.addElement("h" + (i + 1)).addText(dataList.get(i));
            r1.addElement("r1c" + (i + 1)).addText(dataList.get(i));
        }
        return doc.asXML();
    }

    public static String invokRemoveWSDLByAxis(String reqXML, String endPoint) {
        String responseXML = "";
        Service service = new Service();
        try {
            Call call = (Call) service.createCall();
            call.setTargetEndpointAddress(endPoint);
            call.setOperationName(new javax.xml.namespace.QName("WSJJBoomFacade"));
            call.addParameter("arg0", XMLType.XSD_STRING, ParameterMode.IN);
            call.setReturnType(XMLType.XSD_STRING);
            responseXML = (String) call.invoke(new Object[] { reqXML });
        } catch (Exception e) {
            e.printStackTrace();
        }
        return responseXML;
    }

}
